edu.ucsb.nceas.metacat

## Class MetacatVersion

- java.lang.Object
- - edu.ucsb.nceas.metacat.Version
  - - edu.ucsb.nceas.metacat.MetacatVersion

- All Implemented Interfaces:
    java.lang.Comparable<Version>

      public class MetacatVersion
      extends Version

  Author:
    jones Version represents the current version information for this Metacat instance.

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.Version

      `allowedVersionLevels, subversions, versionString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetacatVersion(java.lang.String versionID)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getVersionAsXml()` Get the version number in an XML document.
    `static java.lang.String` | `getVersionFromDB()` Get the version number from DB
    `static java.lang.String` | `getVersionID()` Get the current version string for this metacat instance.

    - ### Methods inherited from class edu.ucsb.nceas.metacat.Version

      `compareTo, getSubversion, getVersionString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetacatVersion

          public MetacatVersion(java.lang.String versionID)

  - ### Method Detail

    - #### getVersionID

          public static java.lang.String getVersionID()
                                               throws edu.ucsb.nceas.utilities.PropertyNotFoundException

      Get the current version string for this metacat instance. It is currently stored in the metacat.properties file.
      Returns:
        a string indicating the version of Metacat running
      Throws:
        `edu.ucsb.nceas.utilities.PropertyNotFoundException`

    - #### getVersionAsXml

          public static java.lang.String getVersionAsXml()
                                                  throws java.sql.SQLException

      Get the version number in an XML document.
      Returns:
        the version wrapped in an XML document
      Throws:
        `java.sql.SQLException`

    - #### getVersionFromDB

          public static java.lang.String getVersionFromDB()
                                                   throws java.sql.SQLException

      Get the version number from DB
      Returns:
        a string of the Metacat version from DB
      Throws:
        `java.sql.SQLException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.